Bug 1018333 - pylons require FormEncode>=1.2.4
pylons require FormEncode>=1.2.4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-formencode (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 678537
  Show dependency treegraph
 
Reported: 2013-10-11 13:32 EDT by Jan ONDREJ
Modified: 2016-09-19 22:45 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-formencode-1.2.6-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 23:37:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2013-10-11 13:32:48 EDT
Description of problem:
Current version of pylons in Fedora stable requires FormEncode>=1.2.4.
Please update to upstream.

Version-Release number of selected component (if applicable):
python-formencode-1.2.2-7.fc18.noarch

How reproducible:
always

Steps to Reproduce:
1. update pythom-markupsafe # see RHBZ#678537
2. python
3. import pkg_resources
4. pkg_resources.require("pylons")

Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 690, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 592, in resolve
    raise VersionConflict(dist,req) # XXX put more info here
pkg_resources.VersionConflict: (FormEncode 1.2.2 (/usr/lib/python2.7/site-packages), Requirement.parse('FormEncode>=1.2.4'))

Expected results:
no error

Additional info:
python-markupsafe update also requested in:
  https://bugzilla.redhat.com/show_bug.cgi?id=678537
Comment 1 Fedora Update System 2013-10-11 17:35:11 EDT
python-formencode-1.2.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-formencode-1.2.6-1.fc18
Comment 2 Fedora Update System 2013-10-14 03:14:21 EDT
Package python-formencode-1.2.6-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-formencode-1.2.6-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19028/python-formencode-1.2.6-1.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-22 23:37:14 EDT
python-formencode-1.2.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.